# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevisionFactory

Packages that use CDORevisionFactory
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.

## Uses of CDORevisionFactory in org.eclipse.emf.cdo.common.revision

Fields in org.eclipse.emf.cdo.common.revision declared as CDORevisionFactory
Modifier and Type
Field
Description
`static final CDORevisionFactory`
CDORevisionFactory.`DEFAULT`

## Uses of CDORevisionFactory in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDORevisionFactory
Modifier and Type
Method
Description
`static CDODataInput`
CDOCommonUtil.`createCDODataInput(org.eclipse.net4j.util.io.ExtendedDataInputStream inputStream, CDOPackageRegistry packageRegistry, CDOBranchManager branchManager, CDOCommitInfoManager commitManager, CDORevisionFactory revisionFactory, CDOListFactory listFactory, CDOLobStore lobStore)`

## Uses of CDORevisionFactory in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDORevisionFactory
Modifier and Type
Method
Description
`protected CDORevisionFactory`
CDODataInputImpl.Default.`getRevisionFactory()`
`protected abstract CDORevisionFactory`
CDODataInputImpl.`getRevisionFactory()`

## Uses of CDORevisionFactory in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision that return CDORevisionFactory
Modifier and Type
Method
Description
`CDORevisionFactory`
DelegatingCDORevisionManager.`getFactory()`
`CDORevisionFactory`
InternalCDORevisionManager.`getFactory()`
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDORevisionFactory
Modifier and Type
Method
Description
`void`
DelegatingCDORevisionManager.`setFactory(CDORevisionFactory factory)`
`void`
InternalCDORevisionManager.`setFactory(CDORevisionFactory factory)`